- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_matrix_interpolation
GTX Extensions (Experimental)

## Functions
template<typename T >
void | axisAngle (detail::tmat4x4< T > const &mat, detail::tvec3< T > &axis, T &angle)
template<typename T >
detail::tmat4x4< T > | axisAngleMatrix (detail::tvec3< T > const &axis, T const angle)
template<typename T >
detail::tmat4x4< T > | extractMatrixRotation (detail::tmat4x4< T > const &mat)
template<typename T >
detail::tmat4x4< T > | interpolate (detail::tmat4x4< T > const &m1, detail::tmat4x4< T > const &m2, T const delta)

## Detailed Description

Allows to directly interpolate two exiciting matrices.

<glm/gtx/matrix_interpolation.hpp> need to be included to use these functionalities.

## Function Documentation

void glm::axisAngle | ( | detail::tmat4x4< T > const & | mat,
|  | detail::tvec3< T > & | axis,
|  | T & | angle
| ) |  |

Get the axis and angle of the rotation from a matrix.

From GLM_GTX_matrix_interpolation extension.

detail::tmat4x4<T> glm::axisAngleMatrix | ( | detail::tvec3< T > const & | axis,
|  | T const | angle
| ) |  |

Build a matrix from axis and angle.

From GLM_GTX_matrix_interpolation extension.

detail::tmat4x4<T> glm::extractMatrixRotation | ( | detail::tmat4x4< T > const & | mat | ) |

Extracts the rotation part of a matrix.

From GLM_GTX_matrix_interpolation extension.

detail::tmat4x4<T> glm::interpolate | ( | detail::tmat4x4< T > const & | m1,
|  | detail::tmat4x4< T > const & | m2,
|  | T const | delta
| ) |  |

Build a interpolation of 4 * 4 matrixes.

From GLM_GTX_matrix_interpolation extension. Warning! works only with rotation and/or translation matrixes, scale will generate unexpected results.